%define ver 0.2.1
%define rel 1

Summary: Anthy Wrapper for Fcitx
Name: fcitx-anthy
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2+
Group: System Environment/Libraries
URL: https://fcitx-im.org/
Source0: http://download.fcitx-im.org/fcitx-anthy/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: anthy-devel
BuildRequires: fcitx-devel
Requires: fcitx

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
Anthy Wrapper for Fcitx. Ported from scim-anthy.

%prep
%setup -q

%build
%__mkdir build
pushd build
%cmake ..
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
popd

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%{_libdir}/fcitx
%{_datadir}/fcitx
%{_datadir}/icons/hicolor/*/status/fcitx*.png
%{_datadir}/icons/hicolor/*/status/fcitx*.svg

%changelog
* Sat May  2 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 0.2.1-1
- update to 0.2.1

* Tue Nov  5 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.2.0-1
- initial release
